document.addEventListener('DOMContentLoaded', function () {
	var fileInputs = document.querySelectorAll('.mpa-admin-upload-input');
	var textNoFile = MPAUploadParams.textNoFile;
	var textMaxUpload = MPAUploadParams.textMaxUpload;
	var maxUploadSize = parseInt(MPAUploadParams.maxUploadSize);

	fileInputs.forEach(function (fileInput) {
		var fileNameElement = document.querySelector('#' + fileInput.id + '-file-name');
		fileNameElement.textContent = textNoFile;
		fileInput.addEventListener('change', function () {
			var file = fileInput.files[0];

			if (file) {
				var fileName = file.name;
				var fileSize = file.size;

				if (fileSize > maxUploadSize) {
					alert(textMaxUpload + (maxUploadSize / 1024 / 1024).toFixed(2) + " MB.");
					fileInput.value = ""; // Clear the input
					fileNameElement.textContent = textNoFile;
				} else {
					fileNameElement.textContent = fileName;
				}
			} else {
				fileNameElement.textContent = textNoFile;
			}
		});
	});
});