jQuery(function () {
    'use strict';
    var $typeField = jQuery('select[name="mpa_cf_type"]').first();

    var $innerLabelRow  = jQuery('.mpa-inner-label-ctrl').parents('tr').first();
    var $textContentRow = jQuery('.mpa-text-content-ctrl').parents('tr').first();
    var $placeholderRow = jQuery('.mpa-placeholder-ctrl').parents('tr').first();
    var $patternRow     = jQuery('.mpa-pattern-ctrl').parents('tr').first();
    var $descriptionRow = jQuery('.mpa-description-ctrl').parents('tr').first();
    var $optionsRow     = jQuery('.mpa-options-ctrl').parents('tr').first();
    var $checkedRow     = jQuery('.mpa-checked-ctrl').parents('tr').first();
    var $fileTypesRow   = jQuery('.mpa-file-types-ctrl').parents('tr').first();
    var $uploadSizeRow  = jQuery('.mpa-upload-size-ctrl').parents('tr').first();
    var $requiredRow  = jQuery('.mpa-required-ctrl').parents('tr').first();

    if ($typeField.length == 1) {
        $typeField.on('change', onTypeChange);
    }

    // Change the initial state
    onTypeChange();

    function onTypeChange()
    {
        var selectedType = $typeField.val() || mpaCheckoutField.type;

        $innerLabelRow.toggleClass('mpa-hide', selectedType != 'checkbox');
        $textContentRow.toggleClass('mpa-hide', selectedType != 'paragraph');
        $placeholderRow.toggleClass('mpa-hide', ['email', 'phone', 'text', 'textarea'].indexOf(selectedType) == -1);
        $patternRow.toggleClass('mpa-hide', ['phone', 'text'].indexOf(selectedType) == -1);
        $descriptionRow.toggleClass('mpa-hide', ['heading', 'paragraph'].indexOf(selectedType) != -1);
        $optionsRow.toggleClass('mpa-hide', selectedType != 'select');
        $checkedRow.toggleClass('mpa-hide', selectedType != 'checkbox');
        $fileTypesRow.toggleClass('mpa-hide', selectedType != 'file_upload');
        $uploadSizeRow.toggleClass('mpa-hide', selectedType != 'file_upload');
        $requiredRow.toggleClass('mpa-hide', ['heading', 'paragraph'].indexOf(selectedType) != -1);
    }
});
