<?php

namespace MotoPress\Appointment\CheckoutFields\Admin;

use MotoPress\Appointment\CheckoutFields\Plugin;
use MotoPress\Appointment\AdminPages\Edit\EditPostPage;
use MotoPress\Appointment\CheckoutFields\CheckoutFieldsHelper;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * @since 1.0.0
 */
class EditCheckoutFieldPage extends EditPostPage {

	protected function addActions() {

		parent::addActions();

		add_action( 'admin_enqueue_scripts', array( $this, 'mpa_cf_edit_post_scripts' ) );
	}

	public function mpa_cf_edit_post_scripts() {

		wp_enqueue_script(
			'cf-options-edit',
			CheckoutFieldsHelper::getUrlToFile( 'assets/js/edit-cf-options.js' ),
			array( 'mpa-edit-post' ),
			Plugin::getInstance()->getPluginVersion(),
			true
		);

		wp_enqueue_script(
			'mpa-edit-checkout-field-scripts',
			CheckoutFieldsHelper::getUrlToFile( 'assets/js/edit-checkout-field-page.js' ),
			array( 'jquery' ),
			Plugin::getInstance()->getPluginVersion(),
			true
		);

		// Add info about type for translated pages that don't have the "Type" field
		wp_localize_script(
			'mpa-edit-checkout-field-scripts',
			'mpaCheckoutField',
			array(
				'type' => get_post_meta( get_the_ID(), 'mpa_cf_type', true ),
			)
		);
	}
}
