<?php

namespace MotoPress\Appointment\CheckoutFields\Entities;

use MotoPress\Appointment\Entities\Booking;

/**
 * @since 1.1.0
 */
class CheckoutFieldBooking extends Booking {

	public $checkout_fields = array();

	public function __construct( $id, $fieldsData = array() ) {
		parent::__construct( $id, $fieldsData );
	}

	/**
	 * Set checkout fields
	 *
	 * @param array $fields
	 */
	public function setCheckoutFields( array $fields ) {
		$this->checkout_fields = $fields;
	}

	/**
	 * Set protected properties
	 *
	 * @param array $properties
	 */
	public function setProtectedProperties( array $properties ) {
		foreach ( $properties as $property => $value ) {
			if ( property_exists( $this, $property ) ) {
				$this->$property = $value;
			}
		}
	}

	/**
	 * Initialize a new instance with the properties of an existing Booking
	 *
	 * @param Booking $booking
	 * @return CheckoutFieldBooking
	 */
	public static function fromBooking( Booking $booking ) {
		return new self( $booking->getId(), $booking->toArray() );
	}
}
