<?php

namespace MotoPress\Appointment\CheckoutFields\Fields;

use MotoPress\Appointment\Fields\AbstractField;

/**
 * @since 1.1.0
 */
class LinkUploadButtonField extends AbstractField {

	const TYPE = 'link-upload-button';

	protected $href       = '#';
	protected $target     = '';
	protected $innerClass = '';
	protected $label2     = '';
	protected $name       = '';

	public function __construct( $name, $args, $value = '' ) {
		parent::__construct( $name, $args, $value );

		$this->href       = isset( $args['href'] ) ? $args['href'] : $this->href;
		$this->target     = isset( $args['target'] ) ? $args['target'] : $this->target;
		$this->innerClass = isset( $args['inner_class'] ) ? $args['inner_class'] : $this->innerClass;
		$this->label2     = isset( $args['label2'] ) ? $args['label2'] : $this->label2;
		$this->name       = isset( $args['name'] ) ? $args['name'] : $this->name;
	}

	protected function generateAttrs() {
		$atts  = '';
		$atts .= ' href="' . esc_url( $this->href ) . '"';
		$atts .= ' class="' . esc_attr( trim( 'button ' . $this->innerClass ) ) . '"';

		if ( ! empty( $this->target ) ) {
			$atts .= ' target="' . esc_attr( $this->target ) . '"';
		}

		return $atts;
	}

	public function renderInput() {

		$result  = '<a' . $this->generateAttrs() . ' style="margin-bottom:10px;">' . esc_html( $this->label2 ) . '</a>';
		$result .= '<br><input class="mpa-admin-upload-input" style="display:none;" type="file" id="' . $this->name . '" name="' . $this->name . '" value="">';
		$result .= '<label for="' . $this->name . '" class="button-primary">' . esc_html__( 'Upload File', 'mpa-checkout-fields' ) . '</label>';
		$result .= '&nbsp;<span id="' . $this->name . '-file-name"></span>';

		return $result;
	}
}
