<?php
namespace MotoPress\Appointment\CheckoutFields\Views;

use MotoPress\Appointment\CheckoutFields\CheckoutFieldsHelper;
use MotoPress\Appointment\CheckoutFields\Views\RenderCheckoutField;
/**
 *
 * @since 1.0
 */
class CheckoutFieldsView {

	public function renderEnabledFields( $args ) {

		$html_id = $args['html_id'];

		// Get Appointment checkout default fields name
		$defaultFields = array_keys( mpa_checkout_fields_get_default_customer_fields() );

		$enabledfields = CheckoutFieldsHelper::getEnabledCheckoutFields();
		$renderField   = new RenderCheckoutField();

		foreach ( $enabledfields as $field ) {

			$wrapperClass = '';

			if ( in_array( $field->name, $defaultFields ) ) {
				$wrapperClass .= "mpa-customer-{$field->name}-wrapper";
			} else {
				$wrapperClass .= " mpa-{$field->type}-control";
			}

			if ( ! empty( $field->cssClass ) ) {
				$wrapperClass .= ' ' . $field->cssClass;
			}

			$wrapperClass = trim( $wrapperClass );

			// start if not paragraph or heading
			if ( 'heading' == $field->type ) {
				?>
			<h4 class="<?php echo esc_attr( $wrapperClass ); ?>"><?php echo esc_html( $field->title ); ?></h4>
			<?php } elseif ( 'paragraph' == $field->type ) { ?>
				<p class="<?php echo esc_attr( $wrapperClass ); ?>">
					<?php
						echo wp_kses(
							$field->textContent,
							array(
								'a'      => array(
									'href'   => array(),
									'title'  => array(),
									'target' => array(),
								),
								'br'     => array(),
								'em'     => array(),
								'strong' => array(),
							)
						);
					?>
				</p>
			<?php } else { ?> 
				<p class="mpa-input-wrapper <?php echo esc_attr( $wrapperClass ); ?>">
					<?php
						$renderField::renderBeforeField( $field, $html_id );
						$renderField::renderField( $field, $html_id );
						$renderField::renderAfterField( $field, $html_id );
					?>
				</p>
				<?php
			} // end if not paragraph or heading
		}
	}
}
