<?php

namespace MotoPress\Appointment\Invoices\Metaboxes;

use MotoPress\Appointment\Metaboxes\CustomMetabox;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class InvoiceBookingMetabox extends CustomMetabox {

	/**
	 * @return string
	 */
	protected function theName(): string {
		return 'booking_invoice_metabox';
	}

	/**
	 * @return string
	 */
	public function getLabel(): string {
		return esc_html__( 'Invoice', 'mpa-invoices' );
	}

	/**
	 * @return string
	 */
	protected function renderMetabox(): string {

		$nonce = wp_create_nonce( 'mpa-invoice' );

		$booking = mpa_invoices_get_editing_booking();
		if ( is_null( $booking ) ) {

			$output = '<input type="submit" class="button button-primary button-large" value="' . esc_attr__( 'Generate Invoice', 'mpa-invoices' ) . '" disabled="disabled">';
			return $output;
		}

		$output      = '<p class="mpa-invoice">';
			$output .= '<a target="_blank" href="' . admin_url( 'admin.php?post=' . $booking->getId() . '&action=mpa-invoice&_wpnonce=' . $nonce ) . '"  class="button button-primary button-large" >' . esc_attr__( 'Generate Invoice', 'mpa-invoices' ) . '</a>';
		$output     .= '</p>';

		return $output;
	}
}
