<?php

namespace MotoPress\Appointment\Addons\WooCommerce;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


final class BackendHelper {

	private function __construct() {}
	private function __clone() {}

	public static function addErrorAdminNotice( string $errorText ): void {
		add_action(
			'admin_notices',
			function() use ( $errorText ) {
				echo '<div class="notice notice-error">
					<div style="display: flex; align-items: center; gap: 10px; margin: 10px 10px 10px 0;">
						<svg style="overflow: visible;" width="40" height="40" xmlns="http://www.w3.org/2000/svg"><path fill="#d63638" d="M39.375 20c0 10.703-8.675 19.375-19.375 19.375S.625 30.703.625 20C.625 9.303 9.3.625 20 .625S39.375 9.303 39.375 20ZM20 23.906a3.594 3.594 0 1 0 0 7.188 3.594 3.594 0 0 0 0-7.188ZM16.588 10.99l.58 10.625a.937.937 0 0 0 .936.886h3.792c.498 0 .91-.39.936-.886l.58-10.625a.938.938 0 0 0-.936-.989h-4.952a.937.937 0 0 0-.936.989Z"/></svg>
						<p>' . esc_html( $errorText ) . '</p>
					</div></div>';
			}
		);
	}
}
